From 942a425651a5aaef73f422e2fb31ce4e114d551e Mon Sep 17 00:00:00 2001
From: Patrick McDermott <patrick.mcdermott@libiquity.com>
Date: Tue, 18 Jun 2019 15:16:00 -0400
Subject: opkbuild: Unquote UID 0 command

---
diff --git a/NEWS b/NEWS
index c51ddee..64453df 100644
--- a/NEWS
+++ b/NEWS
@@ -7,6 +7,8 @@ Utilities:
 
   * ob-gencontrol now actually populates the source package field
     "Binary" added in version 4.1.0.
+  * opkbuild now supports commands with arguments as arguments to the
+    "-r" option, for example "-r 'env -i fakeroot'".
 
 opkbuild version 4.1.1
 ----------------------
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index aa942c4..e6dc730 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -171,7 +171,7 @@ test_uid0_cmd()
 	local test_uid=
 
 	# Verify that the UID 0 command works.
-	if ! test_uid=$("${opt_uid0_cmd}" -- id -u); then
+	if ! test_uid=$(${opt_uid0_cmd} -- id -u); then
 		ob_error "$(ob_get_msg 'uid0_cmd_not_found')" "${opt_uid0_cmd}"
 		return 1
 	fi
@@ -279,7 +279,7 @@ build_source()
 	if ! OB_DO_SOURCE='true' "${bindir}/ob-gencontrol"; then
 		return 1
 	fi
-	if ! OB_DO_SOURCE='true' "${opt_uid0_cmd}" -- "${bindir}/ob-buildopk"
+	if ! OB_DO_SOURCE='true' ${opt_uid0_cmd} -- "${bindir}/ob-buildopk"
 	then
 		return 1
 	fi
--
cgit v0.9.1